Subject: bug#10838: 24.0.92; package.el shows a misleading version number

From: Phil Hagelberg <[email-masked]>
Date: Fri, 17 Feb 2012 18:40:47 +0000

I'm passing on this bug report from the repository where I was
maintaining package.el in preparation for merging it into Emacs itself:

https://github.com/technomancy/package.el/issues/5

> There is a version of package.el which is available from
> tromey.com/elpa, which is clearly the starting point for this
> package.el, which claims to be version 0.9 in the head of the file. The
> current (and emacs23) versions contain this same version number, despite
> having significantly different features. This is misleading and
> remarkably confusing. The version numbers in both the emacs24 and
> emacs23 versions should be updated to indicate that they contain new
> features.

I agree that incrementing the version number makes sense as a lot of
features have been added since the 0.9 release.